# x2sys_get

Get track listing from track index database

## Synopsis

gmt x2sys_get -T TAG [ -C ] [ -F flags ] [ -G ] [ -L[list][+i] ] [ -N flags ] [ [ -R region ] [ -V[level] ] [ --PAR=value ]

Note: No space is allowed between the option flag and the associated arguments.

## Description

x2sys_get will return text records with the names of the track data files in the x2sys data base for this TAG that match the given requirements. You may choose a specific region and optionally ask only for tracks that meet certain data criteria. Finally, you may select an option to list all possible pairs that might generate crossovers.

## Required Arguments

-T TAG

  Specify the x2sys TAG which identifies the attributes of this data type.

## Optional Arguments

-C

  Instead of reporting the track names, just output the coordinates of the center of each bin that has at least one track with the specified data.

-D

  Only report the track names [Default adds the availability of data for each field].

-F flags

  Give a comma-separated list of column names (as described in the format definition file) that should be present. [Default selects all data columns].

-G

  Report data flags (Y or N) for the entire track rather than just for the portion that is inside the region set by -R [Default].

-L[list][+i]

  Crossover mode. Return a list of track pairs that should be checked for possible crossovers. The list is determined from the bin-index data base on the assumption that tracks occupying the same bin are very likely to intersect. By default we return all possible pairs in the data base. Append the name of a file with a list of tracks if you want to limit the output to those pairs that involve at least one of the track names in your list. The output is suitable for the -A option in x2sys_cross. By default, only external crossover pairs are listed. Append +i to include internal pairs in the list.

-N flags

  Give a comma-separated list of column names (as described in the format definition file) that must be absent.

-R west/east/south/north[/zmin/zmax][+r][+u unit]

  west, east, south, and north specify the region of interest, and you may specify them in decimal degrees or in [±]dd:mm[:ss.xxx][W|E|S|N] format Append +r if lower left and upper right map coordinates are given instead of w/e/s/n. The two shorthands -Rg and -Rd stand for global domain (0/360 and -180/+180 in longitude respectively, with -90/+90 in latitude). Set geographic regions by specifying ISO country codes from the Digital Chart of the World using -R code1,code2,…[+r|R[incs]] instead: Append one or more comma-separated countries using the 2-character ISO 3166-1 alpha-2 convention. To select a state of a country (if available), append .state, e.g, US.TX for Texas. To specify a whole continent, prepend = to any of the continent codes AF (Africa), AN (Antarctica), AS (Asia), EU (Europe), OC (Oceania), NA (North America), or SA (South America). Use +r to modify the bounding box coordinates from the polygon(s): Append inc, xinc/yinc, or winc/einc/sinc/ninc to adjust the region to be a multiple of these steps [no adjustment]. Alternatively, use +R to extend the region outward by adding these increments instead, or +e which is like +r but it ensures that the bounding box extends by at least 0.25 times the increment [no extension]. Alternatively for grid creation, give R code lon/lat/nx/ny, where code is a 2-character combination of L, C, R (for left, center, or right) and T, M, B for top, middle, or bottom. e.g., BL for lower left. This indicates which point on a rectangular region the lon/lat coordinate refers to, and the grid dimensions nx and ny with grid spacings via -I is used to create the corresponding region. Alternatively, specify the name of an existing grid file and the -R settings (and grid spacing and registration, if applicable) are copied from the grid. Appending +u unit expects projected (Cartesian) coordinates compatible with chosen -J and we inversely project to determine actual rectangular geographic region. For perspective view (-p), optionally append /zmin/zmax. In case of perspective view (-p), a z-range (zmin, zmax) can be appended to indicate the third dimension. This needs to be done only when using the -Jz option, not when using only the -p option. In the latter case a perspective view of the plane is plotted, with no third dimension. For Cartesian data just give xmin/xmax/ymin/ymax. This option limits the tracks to those that fall at least partly inside the specified domain.

-V[level] (more …)

  Select verbosity level [w].

-^ or just -

  Print a short message about the syntax of the command, then exit (NOTE: on Windows just use -).

-+ or just +

  Print an extensive usage (help) message, including the explanation of any module-specific option (but not the GMT common options), then exit.

-? or no arguments

  Print a complete usage (help) message, including the explanation of all options, then exit.

--PAR=value

  Temporarily override a GMT default setting; repeatable. See gmt.conf for parameters.

## Examples

To find all the tracks associated with the tag MGD77, restricted to occupy a certain region in the south Pacific, and have at least free air anomalies and bathymetry, try

>     gmt x2sys_get -V -TMGD77 -R180/240/-60/-30 -Ffaa,depth

To find all the tracks associated with the tag MGD77 that have depth but not twt, try

>     gmt x2sys_get -V -TMGD77 -Fdepth -Nwt

To find all the pairs associated with the tag MGD77 that might intersect each other, but only those pairs which involves tracks in your list new.lis, try

>     gmt x2sys_get -V -TMGD77 -Lnew.lis > xpairs.lis

## Note

The tracks that are returned all have the requested data (-F) within the specified region (-R). Furthermore, the columns of Y and N for other data types also reflect the content of the track portion within the selected region, unless -G is set.

## See Also

x2sys_binlist, x2sys_cross x2sys_datalist, x2sys_init, x2sys_list, x2sys_put, x2sys_report, x2sys_solve